---
layout: docs
title: Demo
page_title: Demo - turretcss - A Responsive Front-end Framework for Accessible and Semantic Websites
description: Demo of all HTML elements with turretcss styles applied.
permalink: /docs/demo/
---

## Contents

* Will be replaced with the ToC, excluding the "Contents" header
{:toc}

## Colors

<div class="palette">
  <div class="swatch color-black background-white">White</div>
  <div class="swatch color-white background-black">Black</div>
</div>

### Shades

#### Light

<div class="palette">
  <div class="swatch color-dark background-light">Light</div>
  <div class="swatch color-dark background-light-50">Light 50</div>
  <div class="swatch color-dark background-light-100">Light 100</div>
  <div class="swatch color-dark background-light-200">Light 200</div>
  <div class="swatch color-dark background-light-300">Light 300</div>
  <div class="swatch color-dark background-light-400">Light 400</div>
  <div class="swatch color-dark background-light-500">Light 500</div>
  <div class="swatch color-dark background-light-600">Light 600</div>
  <div class="swatch color-dark background-light-700">Light 700</div>
  <div class="swatch color-dark background-light-800">Light 800</div>
  <div class="swatch color-dark background-light-900">Light 900</div>
</div>

#### Grey

<div class="palette">
  <div class="swatch color-white background-grey">Grey</div>
  <div class="swatch color-white background-grey-50">Grey 50</div>
  <div class="swatch color-white background-grey-100">Grey 100</div>
  <div class="swatch color-white background-grey-200">Grey 200</div>
  <div class="swatch color-white background-grey-300">Grey 300</div>
  <div class="swatch color-white background-grey-400">Grey 400</div>
  <div class="swatch color-white background-grey-500">Grey 500</div>
  <div class="swatch color-white background-grey-600">Grey 600</div>
  <div class="swatch color-white background-grey-700">Grey 700</div>
  <div class="swatch color-white background-grey-800">Grey 800</div>
  <div class="swatch color-white background-grey-900">Grey 900</div>
</div>

#### Dark

<div class="palette">
  <div class="swatch color-white background-dark">Dark</div>
  <div class="swatch color-white background-dark-50">Dark 50</div>
  <div class="swatch color-white background-dark-100">Dark 100</div>
  <div class="swatch color-white background-dark-200">Dark 200</div>
  <div class="swatch color-white background-dark-300">Dark 300</div>
  <div class="swatch color-white background-dark-400">Dark 400</div>
  <div class="swatch color-white background-dark-500">Dark 500</div>
  <div class="swatch color-white background-dark-600">Dark 600</div>
  <div class="swatch color-white background-dark-700">Dark 700</div>
  <div class="swatch color-white background-dark-800">Dark 800</div>
  <div class="swatch color-white background-dark-900">Dark 900</div>
</div>

### Palettes

#### Primary

<div class="palette">
  <div class="swatch color-white background-primary">Primary</div>
  <div class="swatch color-white background-primary-50">Primary 50</div>
  <div class="swatch color-white background-primary-100">Primary 100</div>
  <div class="swatch color-white background-primary-200">Primary 200</div>
  <div class="swatch color-white background-primary-300">Primary 300</div>
  <div class="swatch color-white background-primary-400">Primary 400</div>
  <div class="swatch color-white background-primary-500">Primary 500</div>
  <div class="swatch color-white background-primary-600">Primary 600</div>
  <div class="swatch color-white background-primary-700">Primary 700</div>
  <div class="swatch color-white background-primary-800">Primary 800</div>
  <div class="swatch color-white background-primary-900">Primary 900</div>
</div>

#### Secondary

<div class="palette">
  <div class="swatch color-white background-secondary">Secondary</div>
  <div class="swatch color-white background-secondary-50">Secondary 50</div>
  <div class="swatch color-white background-secondary-100">Secondary 100</div>
  <div class="swatch color-white background-secondary-200">Secondary 200</div>
  <div class="swatch color-white background-secondary-300">Secondary 300</div>
  <div class="swatch color-white background-secondary-400">Secondary 400</div>
  <div class="swatch color-white background-secondary-500">Secondary 500</div>
  <div class="swatch color-white background-secondary-600">Secondary 600</div>
  <div class="swatch color-white background-secondary-700">Secondary 700</div>
  <div class="swatch color-white background-secondary-800">Secondary 800</div>
  <div class="swatch color-white background-secondary-900">Secondary 900</div>
</div>

#### Tertiary

<div class="palette">
  <div class="swatch color-white background-tertiary">Tertiary</div>
  <div class="swatch color-white background-tertiary-50">Tertiary 50</div>
  <div class="swatch color-white background-tertiary-100">Tertiary 100</div>
  <div class="swatch color-white background-tertiary-200">Tertiary 200</div>
  <div class="swatch color-white background-tertiary-300">Tertiary 300</div>
  <div class="swatch color-white background-tertiary-400">Tertiary 400</div>
  <div class="swatch color-white background-tertiary-500">Tertiary 500</div>
  <div class="swatch color-white background-tertiary-600">Tertiary 600</div>
  <div class="swatch color-white background-tertiary-700">Tertiary 700</div>
  <div class="swatch color-white background-tertiary-800">Tertiary 800</div>
  <div class="swatch color-white background-tertiary-900">Tertiary 900</div>
</div>

### Indicators

#### Error

<div class="palette">
  <div class="swatch color-white background-error">Error</div>
  <div class="swatch color-white background-error-50">Error 50</div>
  <div class="swatch color-white background-error-100">Error 100</div>
  <div class="swatch color-white background-error-200">Error 200</div>
  <div class="swatch color-white background-error-300">Error 300</div>
  <div class="swatch color-white background-error-400">Error 400</div>
  <div class="swatch color-white background-error-500">Error 500</div>
  <div class="swatch color-white background-error-600">Error 600</div>
  <div class="swatch color-white background-error-700">Error 700</div>
  <div class="swatch color-white background-error-800">Error 800</div>
  <div class="swatch color-white background-error-900">Error 900</div>
</div>

#### Warning

<div class="palette">
  <div class="swatch color-white background-warning">Warning</div>
  <div class="swatch color-white background-warning-50">Warning 50</div>
  <div class="swatch color-white background-warning-100">Warning 100</div>
  <div class="swatch color-white background-warning-200">Warning 200</div>
  <div class="swatch color-white background-warning-300">Warning 300</div>
  <div class="swatch color-white background-warning-400">Warning 400</div>
  <div class="swatch color-white background-warning-500">Warning 500</div>
  <div class="swatch color-white background-warning-600">Warning 600</div>
  <div class="swatch color-white background-warning-700">Warning 700</div>
  <div class="swatch color-white background-warning-800">Warning 800</div>
  <div class="swatch color-white background-warning-900">Warning 900</div>
</div>

#### Success

<div class="palette">
  <div class="swatch color-white background-success">Success</div>
  <div class="swatch color-white background-success-50">Success 50</div>
  <div class="swatch color-white background-success-100">Success 100</div>
  <div class="swatch color-white background-success-200">Success 200</div>
  <div class="swatch color-white background-success-300">Success 300</div>
  <div class="swatch color-white background-success-400">Success 400</div>
  <div class="swatch color-white background-success-500">Success 500</div>
  <div class="swatch color-white background-success-600">Success 600</div>
  <div class="swatch color-white background-success-700">Success 700</div>
  <div class="swatch color-white background-success-800">Success 800</div>
  <div class="swatch color-white background-success-900">Success 900</div>
</div>

#### Info

<div class="palette">
  <div class="swatch color-white background-info">Info</div>
  <div class="swatch color-white background-info-50">Info 50</div>
  <div class="swatch color-white background-info-100">Info 100</div>
  <div class="swatch color-white background-info-200">Info 200</div>
  <div class="swatch color-white background-info-300">Info 300</div>
  <div class="swatch color-white background-info-400">Info 400</div>
  <div class="swatch color-white background-info-500">Info 500</div>
  <div class="swatch color-white background-info-600">Info 600</div>
  <div class="swatch color-white background-info-700">Info 700</div>
  <div class="swatch color-white background-info-800">Info 800</div>
  <div class="swatch color-white background-info-900">Info 900</div>
</div>

## Typography

### Headings

<h1>Heading 1 <small>Heading 1 small</small></h1>
<h2>Heading 2 <small>Heading 2 small</small></h2>
<h3>Heading 3 <small>Heading 3 small</small></h3>
<h4>Heading 4 <small>Heading 4 small</small></h4>
<h5>Heading 5 <small>Heading 5 small</small></h5>
<h6>Heading 6 <small>Heading 6 small</small></h6>

### Display Title

<h1 class="display-title">Display Title</h1>

### Big

<p class="big">Big</p>

### Small Caps

<h2 class="small-caps">Small Caps</h2>

### Lead

<p class="lead">Cras justo odio, dapibus ac facilisis in, egestas eget quam. Aenean lacinia bibendum nulla sed consectetur.</p>

### Paragraph

<p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Aenean lacinia bibendum nulla sed consectetur. Curabitur blandit tempus porttitor. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.</p>

### Link

<p><a href="">link</a></p>

### Strong

<p><strong>strong</strong></p>

### Emphasis

<p><em>emphasis</em></p>

### Horizontal Rule

<hr>

### Blockquote

<blockquote>
  <p>Maecenas sed diam eget risus varius blandit sit amet non magna. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Aenean lacinia bibendum nulla sed consectetur.</p>
  <cite>Name</cite>
</blockquote>

### Unordered List

<ul>
  <li>Vehicula Dapibus Tellus Fermentum</li>
  <li>Vehicula Dapibus Tellus Fermentum</li>
  <li>Vehicula Dapibus Tellus Fermentum
    <ul>
      <li>Vehicula Dapibus Tellus Fermentum</li>
      <li>Vehicula Dapibus Tellus Fermentum</li>
    </ul>
  </li>
</ul>

### Ordered List

<ol>
  <li>Vehicula Dapibus Tellus Fermentum</li>
  <li>Vehicula Dapibus Tellus Fermentum</li>
  <li>Vehicula Dapibus Tellus Fermentum
    <ol>
      <li>Vehicula Dapibus Tellus Fermentum</li>
      <li>Vehicula Dapibus Tellus Fermentum</li>
    </ol>
  </li>
</ol>

### Defintion List

<dl>
  <dt>Fringilla Ipsum Tellus</dt>
  <dd>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</dd>
  <dt>Fringilla Ipsum Tellus</dt>
  <dd>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</dd>
  <dt>Fringilla Ipsum Tellus</dt>
  <dd>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</dd>
</dl>

### Code

`<p>code</p>`

### Pre

```html
<p>pre</p>
```

### Kbd

<p>Save file: <kbd>cmd</kbd> + <kbd>S</kbd></p>

### Mark

<p><mark>mark</mark></p>

## Form

### Field

<div class="field">
  <label for="input-text">Label</label>
  <input type="text" id="input-text" placeholder="Text">
</div>

#### Field Float Label

<div class="field field-float-label">
  <input type="email" id="field" placeholder="Name">
  <label for="field">Name</label>
</div>

### Fieldset

<form role="form">
  <fieldset>
    <legend>Login</legend>
    <div class="field">
      <label for="fieldset-email">Email</label>
      <input type="email" id="fieldset-email" placeholder="Enter Email">
    </div>
    <div class="field">
      <label for="fieldset-password">Password</label>
      <input type="password" id="fieldset-password" placeholder="Enter Password">
    </div>
    <div class="field">
      <button type="submit" class="button">Submit</button>
    </div>
  </fieldset>
</form>

### Form Message

<p class="form-message">Form message</p>
<p class="form-message info">Form message info</p>
<p class="form-message error">Form message error</p>
<p class="form-message warning">Form message warning</p>
<p class="form-message success">Form message success</p>

### Input

<form>
  <div class="field">
    <label for="input-text">Text Input</label>
    <input type="text" id="input-text" placeholder="Text">
  </div>
  <div class="field">
    <label for="input-disabled">Disabled</label>
    <input type="text" id="input-disabled" placeholder="Disabled" disabled="">
  </div>
  <div class="field">
    <label for="input-email">Email Input</label>
    <input type="email" id="input-email" placeholder="Email">
  </div>
  <div class="field">
    <label for="input-search">Search Input</label>
    <input type="search" id="input-search" placeholder="Search">
  </div>
  <div class="field">
    <label for="input-tel">Telephone Input</label>
    <input type="tel" id="input-tel" placeholder="Telephone">
  </div>
  <div class="field">
    <label for="input-url">URL Input</label>
    <input type="url" id="input-url" placeholder="http://">
  </div>
  <div class="field">
    <label for="input-password">Password Input</label>
    <input type="password" id="input-password" value="password">
  </div>
  <div class="field">
    <label for="input-file">File Input</label>
    <input type="file" id="input-file">
  </div>
  <div class="field">
    <label for="input-textarea">Textarea</label>
    <textarea id="input-textarea" cols="30" rows="5" placeholder="Textarea text"></textarea>
  </div>
  <div class="field">
    <label for="input-number">Number Input</label>
    <input type="number" id="input-number" min="0" max="10" placeholder="Enter a number form 0 to 10">
  </div>
  <div class="field">
    <label for="input-date">Date Input</label>
    <input type="date" id="input-date">
  </div>
  <div class="field">
    <label for="input-month">Month Input</label>
    <input type="month" id="input-month">
  </div>
  <div class="field">
    <label for="input-week">Week Input</label>
    <input type="week" id="input-week">
  </div>
  <div class="field">
    <label for="input-datetime">Datetime Input</label>
    <input type="datetime" id="input-datetime" placeholder="Enter a datetime string">
  </div>
  <div class="field">
    <label for="input-datetime-local">Datetime-local Input</label>
    <input type="datetime-local" id="input-datetime-local">
  </div>
  <div class="field">
    <label for="input-color">Color Input</label>
    <input type="color" id="input-color" value="#3455DB">
  </div>
  <div class="field">
    <input id="input-checkbox" type="checkbox" name="checkbox" value="Checkbox Input">
    <label for="input-checkbox">Checkbox Input</label>
  </div>
  <div class="field">
    <input id="input-radio" type="radio" name="radio" value="Radio Input">
    <label for="input-radio">Radio Input</label>
  </div>
</form>

### Input Indicators

<form>
  <div class="field">
    <label for="error">Input Error</label>
    <input class="error" type="text" id="error" value="Input Error">
  </div>
  <div class="field">
    <label for="warning">Input Warning</label>
    <input class="warning" type="text" id="warning" value="Input Warning">
  </div>
  <div class="field">
    <label for="success">Input Success</label>
    <input class="success" type="text" id="success" value="Input Success">
  </div>
  <div class="field">
    <label for="info">Input Info</label>
    <input class="info" type="text" id="info" value="Input Info">
  </div>
</form>

### Input Sizes

<form>
  <div class="field">
    <input class="input-xl" type="text" placeholder="Input Extra Large">
  </div>
  <div class="field">
    <input class="input-l" type="text" placeholder="Input Large">
  </div>
  <div class="field">
    <input type="text" placeholder="Input Medium">
  </div>
  <div class="field">
    <input class="input-s" type="text" placeholder="Input Small">
  </div>
  <div class="field">
    <input class="input-xs" type="text" placeholder="Input Extra Small">
  </div>
</form>

### Input Group

<form>
  <div class="input-group">
    <input type="text" placeholder="Enter Keyword...">
    <button class="button" type="submit">Submit</button>
  </div>
</form>

### Input Group Sizes

<form>
  <div class="field">
    <div class="input-group">
      <input class="input-xl" type="text" placeholder="Input Group Extra Large">
      <button class="button button-xl" type="submit">Submit</button>
    </div>
  </div>
  <div class="field">
    <div class="input-group">
      <input class="input-l" type="text" placeholder="Input Group Large">
      <button class="button button-l" type="submit">Submit</button>
    </div>
  </div>
  <div class="field">
    <div class="input-group">
      <input type="text" placeholder="Input Group Medium">
      <button class="button" type="submit">Submit</button>
    </div>
  </div>
  <div class="field">
    <div class="input-group">
      <input class="input-s" type="text" placeholder="Input Group Small">
      <button class="button button-s" type="submit">Submit</button>
    </div>
  </div>
  <div class="field">
    <div class="input-group">
      <input class="input-xs" type="text" placeholder="Input Group Extra Small">
      <button class="button button-xs" type="submit">Submit</button>
    </div>
  </div>
</form>

### Control

#### Checkbox

<form>
  <label class="control checkbox">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Checkbox</span>
  </label>
</form>

#### Radio

<form>
  <label class="control radio">
    <input type="radio" name="radio">
    <span class="control-indicator"></span>
    <span class="control-label">Radio</span>
  </label>
</form>

#### Switch

<form>
  <label class="control switch">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Switch</span>
  </label>
</form>

### Control Indicators

#### Checkbox

<form>
  <label class="control checkbox error">
    <input type="checkbox" name="checkbox" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Checkbox Error</span>
  </label>
  <label class="control checkbox warning">
    <input type="checkbox" name="checkbox" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Checkbox Warning</span>
  </label>
  <label class="control checkbox success">
    <input type="checkbox" name="checkbox" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Checkbox Success</span>
  </label>
  <label class="control checkbox info">
    <input type="checkbox" name="checkbox" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Checkbox Info</span>
  </label>
</form>

#### Radio

<form>
  <label class="control radio error">
    <input type="radio" name="radio 1" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Radio Error</span>
  </label>
  <label class="control radio warning">
    <input type="radio" name="radio 2" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Radio Warning</span>
  </label>
  <label class="control radio success">
    <input type="radio" name="radio 3" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Radio Succcess</span>
  </label>
  <label class="control radio info">
    <input type="radio" name="radio 4" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Radio Info</span>
  </label>
</form>

#### Switch

<form>
  <label class="control switch error">
    <input type="checkbox" name="checkbox" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Switch Error</span>
  </label>
  <label class="control switch warning">
    <input type="checkbox" name="checkbox" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Switch Warning</span>
  </label>
  <label class="control switch success">
    <input type="checkbox" name="checkbox" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Switch Success</span>
  </label>
  <label class="control switch info">
    <input type="checkbox" name="checkbox" checked>
    <span class="control-indicator"></span>
    <span class="control-label">Switch Info</span>
  </label>
</form>

### Control Sizes

#### Checkbox

<form>
  <label class="control control-xl checkbox">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Checkbox Extra Large</span>
  </label>
  <label class="control control-l checkbox">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Checkbox Large</span>
  </label>
  <label class="control checkbox">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Checkbox Medium</span>
  </label>
  <label class="control control-s checkbox">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Checkbox Small</span>
  </label>
  <label class="control control-xs checkbox">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Checkbox Extra Small</span>
  </label>
</form>

#### Radio

<form>
  <label class="control control-xl radio">
    <input type="radio" name="radio">
    <span class="control-indicator"></span>
    <span class="control-label">Radio Extra Large</span>
  </label>
  <label class="control control-l radio">
    <input type="radio" name="radio">
    <span class="control-indicator"></span>
    <span class="control-label">Radio Large</span>
  </label>
  <label class="control radio">
    <input type="radio" name="radio">
    <span class="control-indicator"></span>
    <span class="control-label">Radio Medium</span>
  </label>
  <label class="control control-s radio">
    <input type="radio" name="radio">
    <span class="control-indicator"></span>
    <span class="control-label">Radio Small</span>
  </label>
  <label class="control control-xs radio">
    <input type="radio" name="radio">
    <span class="control-indicator"></span>
    <span class="control-label">Radio Extra Small</span>
  </label>
</form>

#### Switch

<form>
  <label class="control control-xl switch">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Switch Extra Large</span>
  </label>
  <label class="control control-l switch">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Switch Large</span>
  </label>
  <label class="control switch">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Switch Medium</span>
  </label>
  <label class="control control-s switch">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Switch Small</span>
  </label>
  <label class="control control-xs switch">
    <input type="checkbox" name="checkbox">
    <span class="control-indicator"></span>
    <span class="control-label">Switch Extra Small</span>
  </label>
</form>

### Select

<form>
  <div class="field">
    <label class="select" for="select">
      <select id="select">
        <option>Select Field</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
  <div class="field">
    <label class="select" for="select">
      <select id="select" disabled>
        <option>Select Field</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
</form>

### Select Indicators

<form>
  <div class="field">
    <label class="select error" for="select-error">
      <select id="select-error">
        <option>Select Error</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
  <div class="field">
    <label class="select warning" for="select-warning">
      <select id="select-warning">
        <option>Select Warning</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
  <div class="field">
    <label class="select success" for="select-success">
      <select id="select-success">
        <option>Select Success</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
  <div class="field">
    <label class="select info" for="select-info">
      <select id="select-info">
        <option>Select Info</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
</form>

### Select Sizes

<form>
  <div class="field">  
    <label class="select select-xl" for="select-xl">
      <select id="select-xl">
        <option>Select Extra Large</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
  <div class="field">  
    <label class="select select-l" for="select-l">
      <select id="select-l">
        <option>Select Large</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
  <div class="field">  
    <label class="select select-m" for="select-m">
      <select id="select-m">
        <option>Select Medium</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
  <div class="field">  
    <label class="select select-s" for="select-s">
      <select id="select-s">
        <option>Select Small</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
  <div class="field">  
    <label class="select select-xs" for="select-xs">
      <select id="select-xs">
        <option>Select Extra Small</option>
        <option value="1">Option 01</option>
        <option value="2">Option 02</option>
      </select>
    </label>
  </div>
</form>

### Range

<form>
  <div class="field">
    <input type="range" min="0" max="100" />
  </div>
  <div class="field">
    <input type="range" min="0" max="100" disabled />
  </div>
</form>

### Range Indicators

<form>
  <input class="error" type="range" min="0" max="100" />
  <input class="warning" type="range" min="0" max="100" />
  <input class="success" type="range" min="0" max="100" />
  <input class="info" type="range" min="0" max="100" />
</form>

### Range Sizes

<form>
  <input class="range-xl" type="range" min="0" max="100" />
  <input class="range-l" type="range" min="0" max="100" />
  <input type="range" min="0" max="100" />
  <input class="range-s" type="range" min="0" max="100" />
  <input class="range-xs" type="range" min="0" max="100" />
</form>

### Progress

<form>
  <progress value="70" max="100">70%</progress>
</form>

### Progress Indicators

<form>
  <progress class="error" value="70" max="100">70%</progress>
  <progress class="warning" value="70" max="100">70%</progress>
  <progress class="success" value="70" max="100">70%</progress>
  <progress class="info" value="70" max="100">70%</progress>
</form>

### Progress Sizes

<form>
  <progress class="progress-xl" value="70" max="100">70%</progress>
  <progress class="progress-l" value="70" max="100">70%</progress>
  <progress value="70" max="100">70%</progress>
  <progress class="progress-s" value="70" max="100">70%</progress>
  <progress class="progress-xs" value="70" max="100">70%</progress>
</form>

## Elements

### Button

<div>
  <button>Button</button>
</div>

### Button Disabled

<div>
  <button disabled>Button</button>
</div>

### Button Spinner

<div>
  <button class="spinner"></button>
</div>

### Button Block

<div>
  <button class="button button-block">Button Block</button>
</div>

### Button Pill

<div>
  <button class="button button-pill button-xl">Extra Large</button>
  <button class="button button-pill button-l">Large</button>
  <button class="button button-pill">Medium</button>
  <button class="button button-pill button-s">Small</button>
  <button class="button button-pill button-xs">Extra Small</button>
</div>

### Button Square

<div>
  <button class="button button-square"></button>
</div>

### Button with SVG

<div>
  <button class="button button-square button-white">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-light">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-grey">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-dark">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-black">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-primary">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-secondary">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-tertiary">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square error">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square warning">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square success">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square info">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
</div>
<div class="margin-top-xs">
  <button class="button button-square button-white button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-light button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-grey button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-dark button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-black button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-primary button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-secondary button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-tertiary button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square error button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square warning button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square success button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square info button-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
</div>
<div class="margin-top-xs">
  <button class="button button-square button-xl">
    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20">
      <circle cx="10" cy="10" r="10"/>
    </svg>
  </button>
  <button class="button button-square button-l">
    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 18 18">
      <circle cx="9" cy="9" r="9"/>
    </svg>
  </button>
  <button class="button button-square">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-square button-s">
    <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14">
      <circle cx="7" cy="7" r="7"/>
    </svg>
  </button>
  <button class="button button-square button-xs">
    <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 12 12">
      <circle cx="6" cy="6" r="6"/>
    </svg>
  </button>
</div>

### Button Sizes

<div>
  <button class="button button-xl">Extra Large</button>
  <button class="button button-l">Large</button>
  <button class="button">Medium</button>
  <button class="button button-s">Small</button>
  <button class="button button-xs">Extra Small</button>
</div>

### Button Anchors

<div>
  <a class="button button-xl">Extra Large</a>
  <a class="button button-l">Large</a>
  <a class="button">Medium</a>
  <a class="button button-s">Small</a>
  <a class="button button-xs">Extra Small</a>
</div>

### Button Shades

<div>
  <button class="button button-white">White</button>
  <button class="button button-light">Light</button>
  <button class="button button-grey">Grey</button>
  <button class="button button-dark">Dark</button>
  <button class="button button-black">Black</button>
  <button class="button button-white button-border">White</button>
  <button class="button button-light button-border">Light</button>
  <button class="button button-grey button-border">Grey</button>
  <button class="button button-dark button-border">Dark</button>
  <button class="button button-black button-border">Black</button>
</div>
<div class="margin-top-xs">
  <button class="button button-white" disabled>White</button>
  <button class="button button-light" disabled>Light</button>
  <button class="button button-grey" disabled>Grey</button>
  <button class="button button-dark" disabled>Dark</button>
  <button class="button button-black" disabled>Black</button>
  <button class="button button-white button-border" disabled>White</button>
  <button class="button button-light button-border" disabled>Light</button>
  <button class="button button-grey button-border" disabled>Grey</button>
  <button class="button button-dark button-border" disabled>Dark</button>
  <button class="button button-black button-border" disabled>Black</button>
</div>

### Button Palettes

<div>
  <button class="button button-primary">Primary</button>
  <button class="button button-secondary">Secondary</button>
  <button class="button button-tertiary">Tertiary</button>
  <button class="button button-primary button-border">Primary</button>
  <button class="button button-secondary button-border">Secondary</button>
  <button class="button button-tertiary button-border">Tertiary</button>
</div>
<div class="margin-top-xs">
  <button class="button button-primary" disabled>Primary</button>
  <button class="button button-secondary" disabled>Secondary</button>
  <button class="button button-tertiary" disabled>Tertiary</button>
  <button class="button button-primary button-border" disabled>Primary</button>
  <button class="button button-secondary button-border" disabled>Secondary</button>
  <button class="button button-tertiary button-border" disabled>Tertiary</button>
</div>

### Button Indicators

<div>
  <button class="button error">Error</button>
  <button class="button warning">Warning</button>
  <button class="button success">Success</button>
  <button class="button info">Info</button>
  <button class="button error button-border">Error</button>
  <button class="button warning button-border">Warning</button>
  <button class="button success button-border">Success</button>
  <button class="button info button-border">Info</button>
</div>
<div class="margin-top-xs">
  <button class="button error" disabled>Error</button>
  <button class="button warning" disabled>Warning</button>
  <button class="button success" disabled>Success</button>
  <button class="button info" disabled>Info</button>
  <button class="button error button-border" disabled>Error</button>
  <button class="button warning button-border" disabled>Warning</button>
  <button class="button success button-border" disabled>Success</button>
  <button class="button info button-border" disabled>Info</button>
</div>

### Button Icon

<div>
  <button class="button button-square button-icon">
    <svg viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <a class="button button-square button-icon" href="#">
    <svg viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </a>
</div>

#### Button Icon with Text Sizes

<div>
  <button class="button button-xl button-icon">
    <span>Button</span>
    <svg class="icon-xl" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-l button-icon">
    <span>Button</span>
    <svg class="icon-l" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-icon">
    <span>Button</span>
    <svg viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-s button-icon">
    <span>Button</span>
    <svg class="icon-s" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
  <button class="button button-xs button-icon">
    <span>Button</span>
    <svg class="icon-xs" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </button>
</div>

#### Button Icon with Text Sizes Anchors

<div>
  <a class="button button-xl button-icon" href="#">
    <span>Button</span>
    <svg class="icon-xl" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </a>
  <a class="button button-l button-icon" href="#">
    <span>Button</span>
    <svg class="icon-l" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </a>
  <a class="button button-icon" href="#">
    <span>Button</span>
    <svg viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </a>
  <a class="button button-s button-icon" href="#">
    <span>Button</span>
    <svg class="icon-s" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </a>
  <a class="button button-xs button-icon" href="#">
    <span>Button</span>
    <svg class="icon-xs" viewBox="0 0 16 16">
      <circle cx="8" cy="8" r="8"/>
    </svg>
  </a>
</div>

### Button Group

<div class="button-group">
  <button class="button">Button</button>
  <button class="button">Button</button>
  <button class="button">Button</button>
</div>

#### Button Group Block

<div class="button-group button-group-block">
  <button class="button">Button</button>
  <button class="button">Button</button>
  <button class="button">Button</button>
</div>

### Figure

<div>
  <figure>
    <div class="media media-16-9 spinner"></div>
    <figcaption>Figure Caption</figcaption>
  </figure>
</div>

### Nav

<div>
  <nav>
    <ul>
      <li><a href="#">Item 1</a></li>
      <li><a href="#">Item 2</a></li>
      <li><a href="#">Item 3</a></li>
      <li><a href="#">Item 4</a></li>
    </ul>
  </nav>
</div>

### Nav Inline

<div>
  <nav class="nav-inline">
    <ul>
      <li><a href="#">Item 1</a></li>
      <li><a href="#">Item 2</a></li>
      <li><a href="#">Item 3</a></li>
      <li><a href="#">Item 4</a></li>
    </ul>
  </nav>
</div>

### Table

<div>
  <table>
    <caption>Table Caption</caption>
    <thead>
      <tr>
        <th scope="col">Vestibulum Sem Ipsum</th>
        <th scope="col">Dolor Fringilla</th>
        <th scope="col">Amet Mattis</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>Egestas Ipsum Nibh</td>
        <td>Magna Nullam</td>
        <td>Consectetur Euismod</td>
      </tr>
      <tr>
        <td>Egestas Ipsum Nibh</td>
        <td>Magna Nullam</td>
        <td>Consectetur Euismod</td>
      </tr>
      <tr>
        <td>Egestas Ipsum Nibh</td>
        <td>Magna Nullam</td>
        <td>Consectetur Euismod</td>
      </tr>
    </tbody>
  </table>
</div>

### Table Responsive

<div class="table-responsive">
  <table>
    <thead>
      <tr>
        <th scope="col">Vestibulum Sem Ipsum</th>
        <th scope="col">Dolor Fringilla</th>
        <th scope="col">Amet Mattis</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>Egestas Ipsum Nibh</td>
        <td>Magna Nullam</td>
        <td>Consectetur Euismod</td>
      </tr>
      <tr>
        <td>Egestas Ipsum Nibh</td>
        <td>Magna Nullam</td>
        <td>Consectetur Euismod</td>
      </tr>
      <tr>
        <td>Egestas Ipsum Nibh</td>
        <td>Magna Nullam</td>
        <td>Consectetur Euismod</td>
      </tr>
    </tbody>
  </table>
</div>